version 8
clear
set matsize 180
set logtype text
set mem 800m
set more off
adopath + "brazdspl/%stata/ado"

cd "$root"

capture log close
log using "brazempl/logs/xtreg-sec-secfe.log", replace

local yr 90
use "brazempl/use-firms-`yr'", clear
gen byte year = 90
label var year "Calendar year"
*YR foreach yr in 92 93 94 95 96 97 98 {
foreach yr in 97 {
  append using "brazempl/use-firms-`yr'"
  replace year = `yr' if year==.
  }
tab niv50
* tab niv50, nolab
order firmgrp year
sort firmgrp year
iis niv50
tis year
*YR foreach yr in 90 92 93 94 95 96 97 98 {
foreach yr in 90 97 {
  gen byte indyr`yr' = (year==`yr')
  label var indyr`yr' "Year 19`yr'"
  } 
drop indyr90
keep firmgrp year niv50 avgxbhat avgpsihat
order firmgrp year niv50
sort niv50 year
merge niv50 year using "brazaux/auxil/seclvl", nokeep
tab niv50
* tab niv50, nolab
sort firmgrp year
iis niv50
tis year
xtreg realexch avgxbhat avgpsihat, fe
est2vec secpia, replace e(r2 r2_a r2_w r2_o r2_b mss tss corr sigma_u sigma_e df_r df_m) name(realexch)
foreach var in fdistk reffpen tarfoutp tarfintm herfsale {
    xtreg `var' avgxbhat avgpsihat, fe
    est2vec secpia, addto(secpia) name(`var')
    }
est2tex secpia, replace dropall preserve mark(it) digits(4) fancy path(brazempl/tex/v1/sec) label

*YR foreach yr in 90 92 93 94 95 96 97 98 {
foreach yr in 90 97 {
    disp
    disp in green "Year: " in yellow "19`yr'" in green ", Sector: " in yellow "PIA Manufacturing"
    disp
    use "brazempl/use-firms-`yr'", clear
    keep firmgrp niv50 avgxbhat avgpsihat
    gen byte year = 90
    label var year "Calendar year"
    * tab niv50
    * tab niv50, nolab
    sort niv50 year
    merge niv50 year using "brazaux/auxil/seclvl", nokeep
    keep firmgrp niv50 avgxbhat avgpsihat realexch fdistk reffpen tarfoutp tarfintm herfsale
    sort firmgrp
    iis niv50
    xtreg realexch avgxbhat avgpsihat, fe
    est2vec sec`yr'pia, replace e(r2 r2_a r2_w r2_o r2_b mss tss corr sigma_u sigma_e df_r df_m) name(realexch`yr')
    foreach var in fdistk reffpen tarfoutp tarfintm herfsale {
        xtreg `var' avgxbhat avgpsihat, fe
        est2vec sec`yr'pia, addto(sec`yr'pia) name(`var'`yr')
        }
    est2tex sec`yr'pia, replace dropall preserve mark(it) digits(4) fancy path(brazempl/tex/v1/sec) label
    }

log close
cd "$home"
